zenilib: zenilib/jni/external/freetype2/src/truetype/ttdriver.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
ttdriver.c File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_INTERNAL_SFNT_H>`
`#include <FT_SERVICE_XFREE86_NAME_H>`
`#include <FT_SERVICE_TRUETYPE_ENGINE_H>`
`#include <FT_SERVICE_TRUETYPE_GLYF_H>`
`#include "ttdriver.h"`
`#include "ttgload.h"`
`#include "ttpload.h"`
`#include "tterrors.h"`
`#include "ttpic.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_ttdriver
#define | PAIR_TAG(left, right)
#define | TT_HINTER_FLAG 0
#define | TT_SIZE_SELECT 0

## Functions

| FT_DEFINE_SERVICE_TTGLYFREC (tt_service_truetype_glyf,(TT_Glyf_GetLocationFunc) tt_face_get_location) FT_DEFINE_SERVICEDESCREC3(tt_services
static FT_Error | tt_get_advances (FT_Face ttface, FT_UInt start, FT_UInt count, FT_Int32 flags, FT_Fixed *advances)
&FT_TT_SERVICE_TRUETYPE_GLYF_GET | tt_get_interface (FT_Module driver, const char *tt_interface)
static FT_Error | tt_get_kerning (FT_Face ttface, FT_UInt left_glyph, FT_UInt right_glyph, FT_Vector *kerning)
static FT_Error | tt_glyph_load (FT_GlyphSlot ttslot, FT_Size ttsize, FT_UInt glyph_index, FT_Int32 load_flags)
static FT_Error | tt_size_request (FT_Size size, FT_Size_Request req)

## Variables

| FT_SERVICE_ID_TRUETYPE_ENGINE
| FT_SERVICE_ID_TT_GLYF
| FT_SERVICE_ID_XF86_NAME
| FT_XF86_FORMAT_TRUETYPE
static const FT_Service_TrueTypeEngineRec | tt_service_truetype_engine

## Macro Definition Documentation

#define FT_COMPONENT trace_ttdriver

Definition at line 52 of file ttdriver.c.

#define PAIR_TAG | ( |  | left,
|  |  | right
| ) |  |

Value:
( ( (FT_ULong)left << 16 ) | \
(FT_ULong)right )
FT_ULong
unsigned long FT_ULong
Definition: fttypes.h:249
left
GLint left
Definition: glew.h:7291
right
GLfloat right
Definition: glew.h:13816

Definition at line 69 of file ttdriver.c.

#define TT_HINTER_FLAG 0

Definition at line 450 of file ttdriver.c.

#define TT_SIZE_SELECT 0

Definition at line 456 of file ttdriver.c.

## Function Documentation

FT_DEFINE_SERVICE_TTGLYFREC | ( | tt_service_truetype_glyf | ,
|  | (TT_Glyf_GetLocationFunc) | tt_face_get_location
| ) |  |

static FT_Error tt_get_advances | ( | FT_Face | ttface,
|  | FT_UInt | start,
|  | FT_UInt | count,
|  | FT_Int32 | flags,
|  | FT_Fixed * | advances
| ) |  |

static

Definition at line 129 of file ttdriver.c.

References FT_LOAD_VERTICAL_LAYOUT, TT_Get_HMetrics(), and TT_Get_VMetrics().

& FT_TT_SERVICE_TRUETYPE_GLYF_GET tt_get_interface | ( | FT_Module | driver,
|  | const char * | tt_interface
| ) |  |

Definition at line 402 of file ttdriver.c.

References FT_ModuleRec_::clazz, FT_Get_Module(), ft_service_list_lookup(), FT_TT_SERVICES_GET, SFNT_Interface_::get_interface, library, FT_Module_Class_::module_interface, and NULL.

static FT_Error tt_get_kerning | ( | FT_Face | ttface,
|  | FT_UInt | left_glyph,
|  | FT_UInt | right_glyph,
|  | FT_Vector * | kerning
| ) |  |

static

Definition at line 106 of file ttdriver.c.

References SFNT_Interface_::get_kerning, if(), TT_FaceRec_::sfnt, FT_Vector_::x, and FT_Vector_::y.

static FT_Error tt_glyph_load | ( | FT_GlyphSlot | ttslot,
|  | FT_Size | ttsize,
|  | FT_UInt | glyph_index,
|  | FT_Int32 | load_flags
| ) |  |

static

Definition at line 285 of file ttdriver.c.

References error, FT_GlyphSlotRec_::face, FT_IS_TRICKY, FT_LOAD_NO_AUTOHINT, FT_LOAD_NO_BITMAP, FT_LOAD_NO_HINTING, FT_LOAD_NO_RECURSE, FT_LOAD_NO_SCALE, FT_FaceRec_::internal, FT_FaceRec_::num_glyphs, and TT_Load_Glyph().

static FT_Error tt_size_request | ( | FT_Size | size,
|  | FT_Size_Request | req
| ) |  |

static

Definition at line 220 of file ttdriver.c.

References error, FT_SizeRec_::face, FT_HAS_FIXED_SIZES, FT_IS_SCALABLE, FT_Request_Metrics(), TT_SizeRec_::metrics, FT_SizeRec_::metrics, TT_SizeRec_::root, TT_FaceRec_::sfnt, TT_SizeRec_::strike_index, and tt_size_reset().

## Variable Documentation

FT_SERVICE_ID_TRUETYPE_ENGINE

Definition at line 395 of file ttdriver.c.

Referenced by FT_Get_TrueType_Engine_Type().

FT_SERVICE_ID_TT_GLYF

Definition at line 395 of file ttdriver.c.

FT_SERVICE_ID_XF86_NAME

Definition at line 395 of file ttdriver.c.

FT_XF86_FORMAT_TRUETYPE

Definition at line 395 of file ttdriver.c.

& tt_service_truetype_engine

static

Initial value:
=
{
FT_TRUETYPE_ENGINE_TYPE_NONE
}
FT_TRUETYPE_ENGINE_TYPE_NONE
Definition: ftmodapi.h:444

Definition at line 365 of file ttdriver.c.